Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427186 - www-clients/icecat: return to Portage
Summary: www-clients/icecat: return to Portage
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 5 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: http://ftp.gnu.org/gnu/gnuzilla/
Whiteboard:
Keywords:
: 466072 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-07-19 08:14 UTC by Vladimir
Modified: 2021-01-20 09:09 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir 2012-07-19 08:14:54 UTC
Hello!
It seems like the IceCat project is not dead. There have been some version bumps since IceCat removal from Portage. Maybe it is worth returning it back again?
The IceCat v.13.0.1 is available now, which is more or less new.

Regards,
  Vladimir

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2012-07-19 10:10:16 UTC
Since I was the former icecat maintainer I gonna assign this but to me. 
To be honest I am still not convinced that icecat rose back from the dead. If they manage to release icecat-14/-15 I will consider adding it back to portage. Meanwhile I will try to add icecat to the mozilla- and/or poly-c overlay depending on decision by the mozilla herd to let this package belong to mozilla team again.
Comment 2 Jory A. Pratt gentoo-dev 2012-07-19 12:51:42 UTC
(In reply to comment #1)
> Since I was the former icecat maintainer I gonna assign this but to me. 
> To be honest I am still not convinced that icecat rose back from the dead.
> If they manage to release icecat-14/-15 I will consider adding it back to
> portage. Meanwhile I will try to add icecat to the mozilla- and/or poly-c
> overlay depending on decision by the mozilla herd to let this package belong
> to mozilla team again.

I am not convinced they can keep up with security releases, 14.0 was already released which addressed a few critical security issues.
Comment 3 Homer 2012-09-06 00:32:47 UTC
Just FYI, Icecat 14.0.1 was released on 21 Aug 2012.

http://ftp.gnu.org/gnu/gnuzilla/14.0
http://lists.gnu.org/archive/html/bug-gnuzilla/2012-08/msg00002.html

+1
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2012-09-10 14:42:20 UTC
They're still lacking behind badly. I'm still not convinced that it would be a good idea to reintroduce icecat into portage.
Comment 5 Vladimir 2012-09-13 06:15:39 UTC
(In reply to comment #4)
> They're still lacking behind badly. I'm still not convinced that it would be
> a good idea to reintroduce icecat into portage.
What's wrong about lagging behind?
Comment 6 Vladimir 2012-12-02 11:39:09 UTC
Hello!
It looks like GNU IceCat 17 is out: http://ftp.gnu.org.ua/gnu/gnuzilla/17.0/
So, maybe it is alive enough to get back into Portage?

Thanks!
Comment 7 Samuli Suominen gentoo-dev 2013-04-16 08:46:00 UTC
*** Bug 466072 has been marked as a duplicate of this bug. ***
Comment 8 Agostino Sarubbo gentoo-dev 2013-04-16 09:01:17 UTC
(In reply to comment #4)
> They're still lacking behind badly. I'm still not convinced that it would be
> a good idea to reintroduce icecat into portage.

+1
Comment 9 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-20 13:00:56 UTC
There's still no reliable upstream release cycle and I just don't want to put a browser full of security bugs into portage without any expectation of getting these security bugs fixed by upstream (which is GNU in this case, not mozilla) in a reasonable timeframe.

Feel free to reopen this bug once upstream becomes reliable again.
Comment 10 Stefan Strogin gentoo-dev 2018-11-12 05:04:41 UTC
GNU released IceCat v60.3.0 two days ago, based on currently latest Firefox ESR (v60.3.0): https://lists.gnu.org/archive/html/bug-gnuzilla/2018-11/msg00000.html

How about reopening this bug?
Comment 11 Armin Karic 2020-07-28 18:32:10 UTC
Yes reopening this issue would be a good idea seeing as Icecat is very much not dead.
You can even see that this project is being actively maintained by the developers and kept up to date with the latest version of ESR (68.11.0 at the time of writing): https://git.savannah.gnu.org/cgit/gnuzilla.git/log/?h=68
GNU Icecat is still one of my favorite flavors of Firefox, and having to rely on a thirdparty overlay when it used to be in Gentoos official repository is a bit annoying.
Comment 13 Anjandev Momi 2020-12-27 11:24:14 UTC
I think gnu icecat is the only trustworthy browser so I would really appreciate if this issue was reopened. It seems that gnu icecat is doing a much better job at following firefox esr:

https://git.savannah.gnu.org/cgit/gnuzilla.git/commit/?id=a43514623e93d4f3fe6d61f5b2f82c5ef29bf518

Release 78.6.0 from icecat released December 14th and firefox released 78.6.0 on December 15th:

https://www.mozilla.org/en-US/firefox/78.6.0/releasenotes/

(In reply to Armin Karic from comment #11)
> Yes reopening this issue would be a good idea seeing as Icecat is very much
> not dead.
> You can even see that this project is being actively maintained by the
> developers and kept up to date with the latest version of ESR (68.11.0 at
> the time of writing):
> https://git.savannah.gnu.org/cgit/gnuzilla.git/log/?h=68
> GNU Icecat is still one of my favorite flavors of Firefox, and having to
> rely on a thirdparty overlay when it used to be in Gentoos official
> repository is a bit annoying.

Can you please share the overlay you are using? The only one I could find was out of date (using icecat 68.*)
Comment 14 arcxi 2021-01-20 09:09:04 UTC
It seems the reason this bug was closed is not relevant anymore. The only active overlay with icecat is lagging behind the new version for 2 months already. Makes sense to reopen.